Nhảy tới nội dung

Confirm Tokenizations

Use Case

This API will be used to confirm and get tokenization user after authentication success

Request

POST /v2/tokenizations/confirm

ParameterTypeRequiredDescription
merchantIdStringFundiin provides MID as a unique identifier to each merchant.
referenceIdStringUnique identifier generated by the merchant for this action
REGEX: ^[0-9a-zA-Z_:-]60$
merchantUserIdStringMerchantUserId send in API Create tokenizations Request API
requestTypeStringCONFIRM_TOKENIZATIONS
langStringLanguage of returned message (vi or en), If not included, the default is en.

Example Request

{
"merchantId": "Your merchant code",
"referenceId": "Your order number",
"merchantUserId": "MerchantUserId_123",
"requestType": "CONFIRM_TOKENIZATIONS",
"lang": "vi"
}

Response

ParameterTypeRequiredDescription
merchantIdStringIdentification of the merchant that was issued when registering with Fundiin.
referenceIdStringOrder number for the charge transaction.
responseTimeStringDate & Time of response:
Format: YYYY-MM-DD hh:mm:ss
resultStatusStringResult status
resultMsgStringThe result message which contains information about the result.
tokenizationStringThe User tokenization after authenication success

By default expiry time for the order created is 30 minutes from order creation time stamp. If this needs to be extended for more than 30 minutes please contact Fundiin.

{
"merchantId": "FundiinVN",
"referenceId": "Your order number",
"responseTime": "2023-07-24 09:33:55",
"resultMsg": "Thành công",
"resultStatus": "APPROVED",
"tokenization": "IAoa3wmENyYEluGRvMC5yqxuhWiV8WU1"
}

Result Status & Messages

Status codeDescriptionAction to take
APPROVEDRequest was successfully received.
ACCESS_DENIEDAccess denied.Please check your settings in merchant portal, or contact Fundiin for configurations.
USER_ALREADY_HAS_TOKENUser already has token.
INVALID_MERCHANT_USER_IDThe merchantUserId is required.Please send Fundiin merchantUserId because this is required.
INVALID_REQUESTInvalid request. e.g. Invalid merchantUserId etc.
INVALID_REFERENCE_IDThe referenceId is invalid.Please retry with a different
INVALID_CLIENT_IDThe cliendId is not registered.
INVALID_SIGNATUREThe signature is invalid.
INVALID_MERCHANT_IDThe merchant is not registered.
INVALID_HTTP_METHODThe server does not implement the requested HTTPS method.
INVALID_APIAPI is not defined.Check whether the request URL is correct. Ensure that the endpoint of the called API is correct.
REQUEST_PROCESSINGThe request already processed or in progress.
DOWNSTREAM_ERRORPartner downstream timeout. (Retriable)
ERROR_GENERALDeclined due to general reasons other than the specific decline error codes provided.